.player {
    width: 100%;
    position: fixed;
    z-index: 5;
    bottom: 0;
    left: 0;
    font-size: 0;
    border-top: 1px solid #707C93;
    display: block;
    background: #3D4453;
}

.player .inner {
    max-width: 1200px;
    margin: 0 auto;
}

.player .top {
    padding: 5px 12px 0 ;
}

.player .bottom {
    padding: 10px 12px 5px;
}

.player .controls {
    display: inline-block;
    vertical-align: top;
    padding: 7px 0;
}

.player .controls button {
    border: none;
    outline: none;
    cursor: pointer;
    width: 15px;
    height: 15px;
    font-size: 0;
    vertical-align: top;
    background-size: 13px !important;
    display: inline-block;
}

.player .controls button:last-child {
    margin-right: 0;
}

.player .time {
    display: none;
    text-align: right;
    height: 30px;
    padding: 7px 0 3px 14px;
}

.player .time.current {
    padding-left: 22px;
}

.player .time.duration {
    padding-right: 14px;
}

.player .time p {
    font-family: monospace;
    font-size: 14px;
    color: #fff;
    font-weight: 100;
}

.player .info {
    display: inline-block;
    vertical-align: top;
    margin: 8px 12px;
    height: 14px;
    overflow: hidden;
    width: calc( 100% - 120px );
    padding-left: 2px;
}

.player .info p {
    min-width: 320px;
    color: #fff;
}

.player .info a {
    display: inline-block;
    vertical-align: top;
    cursor: pointer;
    text-decoration: none;
    color: #fff;
    letter-spacing: 0.8px;
}

.player .info span.artist_name {
    font-size: 12px;
    font-weight: 400;
}

.player .info span.song_name {
    font-weight: 300;
    font-size: 12px;
    line-height: 15px;
}

.player .info a.song_name:before {
    content: "-";
    margin: 0 5px;;
}

.player .volume {
    float: right;
    width: 100px;
    height: 30px;
    position: relative;
}

.player .volume {
    float: right;
    width: 100px;
    height: 30px;
    position: relative;
    margin-right: 4px;
}

.player .timeline {
    display: inline-block;
    vertical-align: top;
    width: 100%;
    padding: 0 12px;
    position: relative;
    border-radius: 15px;
    border: 1px solid #3D4453;
}

.player .timeline:hover {
    border: 1px solid #cc813a;
    transition: 0.5s;
}

.player .timeline .buffered {
    background: #12a3d0;
    height: 1px;
    width: 0;
    position: absolute;
    top: 13px;
    left: 12px;
    right: 12px;
}

.player input[type="range"] {
    width: 100%;
    height: 26px;
    border: none;
    outline: none;
    -webkit-appearance: none;
    -ms-progress-appearance: unset;
    -moz-appearance: none;
    display: inline-block;
    vertical-align: top;
    position: relative;
    background: transparent;
}

.player .top input[type="range"]:before {
    /* content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background: rgba(210,210,210,0.5);
    top: 13px; */
    content: '';
    position: absolute;
    width: 100%;
    height: 18px;
    top: 3px;
    background: #656d79;
    right: -4px;
    border-radius: 10px;
    border: 1px solid #314233;
    padding: 0 3px;
}

.player .bottom input[type="range"]:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background: rgba(210,210,210,0.5);
    top: 13px;
}

.player input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    -ms-progress-appearance: unset;
    -moz-appearance: none;
    position: relative;
    z-index: 1;
    width: 12px;
    height: 12px;
    cursor: pointer;
    border-radius: 8px;
    border: 1px solid #fff;
    background: #ccc;
    box-shadow: 0px 0px 2px 2px rgb(0, 0, 0, 0.2);
    transition: 0.5s;
}

.player .controls button.play {
    background: url("./images/play.png") center no-repeat;
}

.player .controls button.pause {
    background: url("./images/pause.svg") center no-repeat;
}

.player .controls button.previous {
    background: url("./images/arrow-left.svg") center no-repeat;
}

.player .controls button.next {
    background: url("./images/arrow-right.svg") center no-repeat;
}

.player .controls button.shuffle {
    background: url("./images/random-solid.svg") center no-repeat;
}

.player .controls button.repeat {
    background: url("./images/redo.svg") center no-repeat;
}
/* Media */

@media (min-width: 480px) {

    .player .time {
        display: inline-block;
        vertical-align: top;
    }

    .player .info {
        width: calc( 100% - 245px );
    }

}

@media (min-width: 640px) {

    .player .info {
        width: calc( 100% - 370px );
    }

    .player .volume {
        display: inline-block;
        vertical-align: top;
    }

}
